Bug 591962 - SELinux is preventing /usr/bin/python access on 2010-05-13_154147_sync.log.
SELinux is preventing /usr/bin/python access on 2010-05-13_154147_sync.log.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cobbler (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Scott J Henson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-13 10:58 EDT by lejeczek
Modified: 2011-06-27 12:20 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:20:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description lejeczek 2010-05-13 10:58:09 EDT
Description of problem:

files in /var/log/cobbler/tasks

Raw Audit Messages            

node=whale.jatymy.local type=AVC msg=audit(1273761707.552:9504): avc:  denied  { write } for  pid=12097 comm="cobblerd" name="2010-05-13_154147_sync.log" dev=dm-0 ino=1708212 scontext=unconfined_u:system_r:cobblerd_t:s0 tcontext=unconfined_u:object_r:cobbler_var_log_t:s0 tclass=file

node=whale.jatymy.local type=SYSCALL msg=audit(1273761707.552:9504): arch=c000003e syscall=2 success=no exit=-13 a0=7f920402a4f0 a1=242 a2=1b6 a3=0 items=0 ppid=1 pid=12097 auid=501 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=762 comm="cobblerd" exe="/usr/bin/python" subj=unconfined_u:system_r:cobblerd_t:s0 key=(null)


Version-Release number of selected component (if applicable):
cobbler-2.0.4-1.fc13.noarch

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
module DD 1.0;

require {
	type cobbler_var_log_t;
	type cobblerd_t;
	class file write;
}

#============= cobblerd_t ==============
allow cobblerd_t cobbler_var_log_t:file write;


Additional info:
Comment 1 lejeczek 2010-05-13 13:01:50 EDT
furthermore, cobblerd_t cannot access httpd_sys_content_t, like:

SELinux is preventing /usr/bin/python "write" access on
/var/www/cobbler/ks_mirror.

quick-fix:

require {
	type httpd_sys_content_t;
	type cobblerd_t;
	class dir write;
}

#============= cobblerd_t ==============
#!!!! The source type 'cobblerd_t' can write to a 'dir' of the following types:
# var_log_t, named_zone_t, cobbler_var_log_t, cobbler_var_lib_t, tftpdir_rw_t, httpd_cobbler_rw_content_t, var_lib_t, root_t

allow cobblerd_t httpd_sys_content_t:dir write;

--end

or am I missing a boolean?
Comment 2 Adam Huffman 2010-05-31 11:28:08 EDT
I'm seeing this in the previous version too.
Comment 3 Fedora Admin XMLRPC Client 2011-01-03 09:34:26 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Bug Zapper 2011-06-02 10:05:13 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-27 12:20:12 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.